Gallery Platform API
Reference

List a program's sessions

Lists a program's sessions (occurrences) — each a datetime slot with its own capacity and status. Filter by status or a starts_after instant; cursor-paginated.

GET
/gallery/programs/{programId}/sessions

Lists a program's sessions (occurrences) — each a datetime slot with its own capacity and status. Filter by status or a starts_after instant; cursor-paginated.

Authorization

bearerAuth shows:read
AuthorizationBearer <token>

A gallery API key, sent as Authorization: Bearer gpk_… (or the x-api-key header).

In: header

Scope: shows:read

Path Parameters

programId*string

Query Parameters

limit?integer
Range1 <= value <= 100
Default20
cursor?string
status?string

Value in

  • "scheduled"
  • "cancelled"
  • "sold_out"
starts_after?string
Match^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
Formatdate-time

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

{  "data": [    {      "id": "string",      "event_id": "string",      "starts_at": "string",      "ends_at": "string",      "capacity": -9007199254740991,      "status": "scheduled",      "recurrence_key": "string",      "position": -9007199254740991,      "created_at": "string",      "updated_at": "string"    }  ],  "next_cursor": "string"}